Bug 1132649 - [RFE] Puppet should generate client keyring for the Controller and Compute nodes
Summary: [RFE] Puppet should generate client keyring for the Controller and Compute n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z2
: Installer
Assignee: Crag Wolfe
QA Contact: Yogev Rabl
URL: https://trello.com/c/ARcMiLL8
Whiteboard:
Depends On: 1125406
Blocks: 1132647
TreeView+ depends on / blocked
 
Reported: 2014-08-21 18:37 UTC by Neil Levine
Modified: 2016-04-26 15:09 UTC (History)
10 users (show)

Fixed In Version: openstack-foreman-installer-2.0.29-1.el6ost
Doc Type: Enhancement
Doc Text:
With this enhancement, RHEL-OSP installer deployments create the Ceph key rings needed for Image Service images or Block Storage volumes (key rings no longer need to be manually configured). RHEL-OSP installer deployments now ensure that the /etc/ceph/ceph.client.volumes.keyring and /etc/ceph/ceph.client.images.keyring files are consistent across HA controllers, compute nodes, and Ceph storage nodes.
Clone Of: 1132647
Environment:
Last Closed: 2014-11-04 17:02:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Neil Levine 2014-08-21 18:37:04 UTC
+++ This bug was initially created as a clone of Bug #1132647 +++

A Ceph keyring containing client keys is needed for Cinder, Glance and Nova nodes. 

The keyring is created using the ceph-authtool program, included in the ceph-common packages.

Puppet should generate the client keyring and distribute it to all the OpenStack nodes that need it, placing it in the /etc/ceph directory.

Comment 3 Neil Levine 2014-08-22 04:12:50 UTC
I was just following orders! Perry told me what component to use! I am innocent ;-)
Feel free to change...

Comment 5 Crag Wolfe 2014-10-01 16:32:11 UTC
Ability to generate /etc/ceph/ceph.client.images.keyring and
/etc/ceph/ceph.client.volumes.keyring included in
https://github.com/redhat-openstack/astapor/pull/358

Comment 8 Yogev Rabl 2014-10-26 11:39:25 UTC
verified in version: ruby193-rubygem-staypuft-0.4.8-1.el6ost.noarch

Comment 10 errata-xmlrpc 2014-11-04 17:02:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.